Support
API ReferenceSecurity & RiskCertificates API

Create a pending order for certificate

POST
/v1/certificates

Header Parameters

X-Market-Id?string

Setting locale for communications such as emails and error messages

Default"Default locale for shopper account"

Request Body

application/json

The certificate order information

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates" \  -H "Content-Type: application/json" \  -d '{    "contact": {      "email": "string",      "nameFirst": "string",      "nameLast": "string",      "phone": "string"    },    "csr": "string",    "period": 0,    "productType": "DV_SSL"  }'
{
  "certificateId": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Validate a pending order for certificate

POST
/v1/certificates/validate

Header Parameters

X-Market-Id?string

Setting locale for communications such as emails and error messages

Default"Default locale for shopper account"

Request Body

application/json

The certificate order info

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/validate" \  -H "Content-Type: application/json" \  -d '{    "contact": {      "email": "string",      "nameFirst": "string",      "nameLast": "string",      "phone": "string"    },    "csr": "string",    "period": 0,    "productType": "DV_SSL"  }'
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Retrieve certificate details

GET
/v1/certificates/{certificateId}

Path Parameters

certificateId*string

Certificate id to lookup

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/certificates/string"
{
  "certificateId": "string",
  "commonName": "string",
  "contact": {
    "email": "string",
    "jobTitle": "string",
    "nameFirst": "string",
    "nameLast": "string",
    "nameMiddle": "string",
    "phone": "string",
    "suffix": "string"
  },
  "createdAt": "string",
  "deniedReason": "string",
  "organization": {
    "address": {
      "address1": "string",
      "address2": "string",
      "city": "string",
      "country": "AC",
      "postalCode": "string",
      "state": "string"
    },
    "assumedName": "string",
    "jurisdictionOfIncorporation": {
      "city": "string",
      "country": "string",
      "county": "string",
      "state": "string"
    },
    "name": "string",
    "phone": "string",
    "registrationAgent": "string",
    "registrationNumber": "string"
  },
  "period": 0,
  "productType": "DV_SSL",
  "progress": 0,
  "revokedAt": "string",
  "rootType": "GODADDY_SHA_1",
  "serialNumber": "string",
  "serialNumberHex": "string",
  "slotSize": "FIVE",
  "status": "PENDING_ISSUANCE",
  "subjectAlternativeNames": [
    {
      "status": "PENDING",
      "subjectAlternativeName": "string"
    }
  ],
  "validEnd": "string",
  "validStart": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Retrieve all certificate actions

GET
/v1/certificates/{certificateId}/actions

Path Parameters

certificateId*string

Certificate id to register for callback

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/certificates/string/actions"
[
  {
    "createdAt": "string",
    "type": "CERTIFICATE_ISSUED"
  }
]
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Resend an email

POST
/v1/certificates/{certificateId}/email/{emailId}/resend

Path Parameters

certificateId*string

Certificate id to resend email

emailId*string

Email id for email to resend

Response Body

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/email/string/resend"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Add alternate email address

POST
/v1/certificates/{certificateId}/email/resend/{emailAddress}

Path Parameters

certificateId*string

Certificate id to resend emails

emailAddress*string

Specific email address to resend email

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/email/resend/string"
{
  "id": 0,
  "accountId": 0,
  "templateType": "string",
  "fromType": "string",
  "recipients": "string",
  "body": "string",
  "dateEntered": "string",
  "subject": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Resend email to email address

POST
/v1/certificates/{certificateId}/email/{emailId}/resend/{emailAddress}

Path Parameters

certificateId*string

Certificate id to resend emails

emailId*string

Email id for email to resend

emailAddress*string

Specific email address to resend email

Response Body

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/email/string/resend/string"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Retrieve email history

GET
/v1/certificates/{certificateId}/email/history

Path Parameters

certificateId*string

Certificate id to retrieve email history

Response Body

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/certificates/string/email/history"
{
  "id": 0,
  "accountId": 0,
  "templateType": "string",
  "fromType": "string",
  "recipients": "string",
  "body": "string",
  "dateEntered": "string",
  "subject": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Retrieve system stateful action callback url

GET
/v1/certificates/{certificateId}/callback

Path Parameters

certificateId*string

Certificate id to register for stateful action callback

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/certificates/string/callback"
{
  "callbackUrl": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Unregister system callback

DELETE
/v1/certificates/{certificateId}/callback

Path Parameters

certificateId*string

Certificate id to unregister callback

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.godaddy.com/v1/certificates/string/callback"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Register of certificate action callback

PUT
/v1/certificates/{certificateId}/callback

Path Parameters

certificateId*string

Certificate id to register/replace for callback

Query Parameters

callbackUrl*string

Callback url registered/replaced to receive stateful actions

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.godaddy.com/v1/certificates/string/callback?callbackUrl=string"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Cancel a pending certificate

POST
/v1/certificates/{certificateId}/cancel

Path Parameters

certificateId*string

Certificate id to cancel

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/cancel"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Download certificate

GET
/v1/certificates/{certificateId}/download

Path Parameters

certificateId*string

Certificate id to download

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/certificates/string/download"
{
  "pems": {
    "certificate": "string",
    "cross": "string",
    "intermediate": "string",
    "root": "string"
  },
  "serialNumber": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Reissue active certificate

POST
/v1/certificates/{certificateId}/reissue

Path Parameters

certificateId*string

Certificate id to reissue

Request Body

application/json

The reissue request info

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/reissue" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Renew active certificate

POST
/v1/certificates/{certificateId}/renew

Path Parameters

certificateId*string

Certificate id to renew

Request Body

application/json

The renew request info

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/renew" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Revoke active certificate

POST
/v1/certificates/{certificateId}/revoke

Path Parameters

certificateId*string

Certificate id to revoke

Request Body

application/json

The certificate revocation request

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/revoke" \  -H "Content-Type: application/json" \  -d '{    "reason": "AFFILIATION_CHANGED"  }'
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Get Site seal

GET
/v1/certificates/{certificateId}/siteSeal

Path Parameters

certificateId*string

Certificate id

Query Parameters

theme?string

This value represents the visual theme of the seal. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present.

Default"LIGHT"
Value in"DARK" | "LIGHT"
locale?string

Determine locale for text displayed in seal image and verification page. If seal doesn't exist, default values are used if params not present. If seal does exist, default values will not be used to update unless params present.

Default"en"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/certificates/string/siteSeal"
{
  "html": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Check Domain Control

POST
/v1/certificates/{certificateId}/verifyDomainControl

Path Parameters

certificateId*string

Certificate id to lookup

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/certificates/string/verifyDomainControl"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string"
    }
  ],
  "message": "string"
}

Last updated on

How is this guide?